Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am a newbie to Ubuntu. When I execute a command in a terminal I get an error. The command is:

prompt>./h_affine.ln -haraff -i img1.ppm -o img1.haraff -thres 1000

The error is:

modglue::ext_process::fork: execvp failed.

The above command is for converting an image to an array of values. Please help to sort this out. I have no idea what this error says.

After using strace command

strace -f ./h_affine.ln -haraff -i img1.ppm -o img1.haraff -thres 1000

I get the following output

execve("./h_affine.ln", ["./h_affine.ln", "-haraff", "-i", "img1.ppm", "-o", "img1.haraff", "-thres", "1000"], [/* 37 vars */]) = -1 EACCES (Permission denied)
dup(2)                                  = 3
fcntl64(3, F_GETFL)                     = 0x2 (flags O_RDWR)
fstat64(3, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 0), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb781a000
_llseek(3, 0, 0xbf932764, SEEK_CUR)     = -1 ESPIPE (Illegal seek)
write(3, "strace: exec: Permission denied\n", 32strace: exec: Permission denied
) = 32
close(3)                                = 0
munmap(0xb781a000, 4096)                = 0
exit_group(1)                           = ?

I couldn't understand how rectify these errors. Help me to sort this out.

share|improve this question

closed as too localized by Bruno Pereira, Jorge Castro, fossfreedom Feb 17 '12 at 13:42

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
You seem to be running a specialized piece of software (robots.ox.ac.uk/~vgg/research/affine) and it's that piece of software that is encountering an error. You should contact the software authors regarding this. –  pablomme Jan 30 '12 at 11:08
add comment

1 Answer 1

If you are having a problem running h_affine.ln.

The problem seems to be failing calling modglue, the version you are using might not be the one the author used to develop the application so they do not work correctly.

There might be a solution compiling that library for your current system using the version that was used during development, try contacting the author for more details.

share|improve this answer
    
Thanks sir. They have used linux 2.2.0. –  krish Jan 30 '12 at 19:12
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.